lib/n_d_needs_upgrade: handle error return from n_d_get_version